package de.hsrm.cs.javaee8.statelessmaven.ejb;
import javax.ejb.Local;

/**
 * Local Interface der GeometricModelBean.
 * 
 */
@Local
public interface GeometricModelLocal
{

  /**
   * Compute the volume of a square stone
   * 
   * @param a Length of side a, &gt; 0
   * @param b Length of side b, &gt; 0
   * @param c Length of side c, &gt; 0
   * @return Volume of the square stone = a * b * c
   * @exception IllegalArgumentException If a or b or c &lt;= 0.
   */
  public double computeCuboidVolume(double a, double b, double c) throws IllegalArgumentException;

  /**
   * Compute the surface of a square stone
   * 
   * @param a Length of side a, &gt; 0
   * @param b Length of side b, &gt; 0
   * @param c Length of side c, &gt; 0
   * @return Surface of the square stone = 2 * (a * b) + 2 * (b*c) + 2 * (a * c)
   * @exception IllegalArgumentException If a or b or c &lt;= 0.
   */
  public double computeCuboidSurface(double a, double b, double c) throws IllegalArgumentException;

}
